scummvm random work
[patches.git] / gdbserver-use-execvp.patch
1 2007-06-12 Mike Frysinger <vapier@gentoo.org>
2
3 * linux-low.c (linux_create_inferior): Change execv to execvp.
4
5 --- linux-low.c
6 +++ linux-low.c
7 @@ -165,7 +165,7 @@ linux_create_inferior (char *program, ch
8
9 setpgid (0, 0);
10
11 - execv (program, allargs);
12 + execvp (program, allargs);
13
14 fprintf (stderr, "Cannot exec %s: %s.\n", program,
15 strerror (errno));